# -*- coding: utf-8 -*-
# Generated by Django 1.10 on 2017-06-10 03:33
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('curriculum', '0001_initial'),
        ('accounts', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='attendance',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_time', models.TimeField()),
                ('end_time', models.TimeField()),
                ('date', models.DateField()),
                ('absent_students', models.ManyToManyField(related_name='absent_students', to='accounts.student')),
                ('onduty_students', models.ManyToManyField(related_name='onduty_students', to='accounts.student')),
                ('present_students', models.ManyToManyField(related_name='present_students', to='accounts.student')),
                ('staff_allotment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='curriculum.staff_allotment')),
            ],
        ),
    ]
